Skip to content

Read a functional area type

Request

Returns one category with its name and sort position.

Security
default
Path
idintegerrequired

The ID of the functional area type.

Headers
Rosterfy-Platformstring
curl -i -X GET \
  'https://developer.rosterfy.com/_mock/api-docs/openapi/api/v2/headcount/functionalarea/type/{id}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Rosterfy-Platform: admin'

Responses

Bodyapplication/json
objectobject
niceArray of any
relationsArray of any
permissionsobject
Response
{ "object": { "id": 1, "name": "Operations", "sort_order": 1, "uuid": "f5d2192c-e3b6-4162-8e6c-5bc6f65900e9" }, "nice": [], "relations": [], "permissions": { "read": true, "update": true, "delete": true } }